National Vulnerability Database

National Vulnerability Database

National Vulnerability
Database

CVE-2012-5975 Detail

Current Description

The SSH USERAUTH CHANGE REQUEST feature in SSH Tectia Server 6.0.4 through 6.0.20, 6.1.0 through 6.1.12, 6.2.0 through 6.2.5, and 6.3.0 through 6.3.2 on UNIX and Linux, when old-style password authentication is enabled, allows remote attackers to bypass authentication via a crafted session involving entry of blank passwords, as demonstrated by a root login session from a modified OpenSSH client with an added input_userauth_passwd_changereq call in sshconnect2.c.

Source:  MITRE
View Analysis Description

Impact

CVSS v2.0 Severity and Metrics:

Base Score: 9.3 HIGH
Vector: (AV:N/AC:M/Au:N/C:C/I:C/A:C) (V2 legend)
Impact Subscore: 10.0
Exploitability Subscore: 8.6


Access Vector (AV): Network
Access Complexity (AC): Medium
Authentication (AU): None
Confidentiality (C): Complete
Integrity (I): Complete
Availability (A): Complete
Additional Information:
Provides administrator access
Allows unauthorized disclosure of information
Allows disruption of service

References to Advisories, Solutions, and Tools

By selecting these links, you will be leaving NIST webspace. We have provided these links to other web sites because they may have information that would be of interest to you. No inferences should be drawn on account of other sites being referenced, or not, from this page. There may be other web sites that are more appropriate for your purpose. NIST does not necessarily endorse the views expressed, or concur with the facts presented on these sites. Further, NIST does not endorse any commercial products that may be mentioned on these sites. Please address comments about this page to nvd@nist.gov.

Hyperlink Resource
http://archives.neohapsis.com/archives/fulldisclosure/2012-12/0013.html
http://archives.neohapsis.com/archives/fulldisclosure/2012-12/0065.html
http://www.exploit-db.com/exploits/23082/
https://github.com/rapid7/metasploit-framework/blob/master/modules/exploits/unix/ssh/tectia_passwd_changereq.rb Exploit

Technical Details

Vulnerability Type (View All)

  • Improper Authentication (CWE-287)

Known Affected Software Configurations Switch to CPE 2.2

Configuration 1 ( hide )
 cpe:2.3:a:ssh:tectia_server:6.0.4:*:*:*:*:*:*:*
     Show Matching CPE(s)
 cpe:2.3:a:ssh:tectia_server:6.0.5:*:*:*:*:*:*:*
     Show Matching CPE(s)
 cpe:2.3:a:ssh:tectia_server:6.0.6:*:*:*:*:*:*:*
     Show Matching CPE(s)
 cpe:2.3:a:ssh:tectia_server:6.0.7:*:*:*:*:*:*:*
     Show Matching CPE(s)
 cpe:2.3:a:ssh:tectia_server:6.0.8:*:*:*:*:*:*:*
     Show Matching CPE(s)
 cpe:2.3:a:ssh:tectia_server:6.0.9:*:*:*:*:*:*:*
     Show Matching CPE(s)
 cpe:2.3:a:ssh:tectia_server:6.0.10:*:*:*:*:*:*:*
     Show Matching CPE(s)
 cpe:2.3:a:ssh:tectia_server:6.0.11:*:*:*:*:*:*:*
     Show Matching CPE(s)
 cpe:2.3:a:ssh:tectia_server:6.0.12:*:*:*:*:*:*:*
     Show Matching CPE(s)
 cpe:2.3:a:ssh:tectia_server:6.0.13:*:*:*:*:*:*:*
     Show Matching CPE(s)
 cpe:2.3:a:ssh:tectia_server:6.0.14:*:*:*:*:*:*:*
     Show Matching CPE(s)
 cpe:2.3:a:ssh:tectia_server:6.0.17:*:*:*:*:*:*:*
     Show Matching CPE(s)
 cpe:2.3:a:ssh:tectia_server:6.0.18:*:*:*:*:*:*:*
     Show Matching CPE(s)
 cpe:2.3:a:ssh:tectia_server:6.0.19:*:*:*:*:*:*:*
     Show Matching CPE(s)
 cpe:2.3:a:ssh:tectia_server:6.0.20.:*:*:*:*:*:*:*
     Show Matching CPE(s)
 cpe:2.3:a:ssh:tectia_server:6.1.0:*:*:*:*:*:*:*
     Show Matching CPE(s)
 cpe:2.3:a:ssh:tectia_server:6.1.1:*:*:*:*:*:*:*
     Show Matching CPE(s)
 cpe:2.3:a:ssh:tectia_server:6.1.2:*:*:*:*:*:*:*
     Show Matching CPE(s)
 cpe:2.3:a:ssh:tectia_server:6.1.3:*:*:*:*:*:*:*
     Show Matching CPE(s)
 cpe:2.3:a:ssh:tectia_server:6.1.4:*:*:*:*:*:*:*
     Show Matching CPE(s)
 cpe:2.3:a:ssh:tectia_server:6.1.5:*:*:*:*:*:*:*
     Show Matching CPE(s)
 cpe:2.3:a:ssh:tectia_server:6.1.6:*:*:*:*:*:*:*
     Show Matching CPE(s)
 cpe:2.3:a:ssh:tectia_server:6.1.7:*:*:*:*:*:*:*
     Show Matching CPE(s)
 cpe:2.3:a:ssh:tectia_server:6.1.8:*:*:*:*:*:*:*
     Show Matching CPE(s)
 cpe:2.3:a:ssh:tectia_server:6.1.9:*:*:*:*:*:*:*
     Show Matching CPE(s)
 cpe:2.3:a:ssh:tectia_server:6.1.12:*:*:*:*:*:*:*
     Show Matching CPE(s)
 cpe:2.3:a:ssh:tectia_server:6.2.0:*:*:*:*:*:*:*
     Show Matching CPE(s)
 cpe:2.3:a:ssh:tectia_server:6.2.1:*:*:*:*:*:*:*
     Show Matching CPE(s)
 cpe:2.3:a:ssh:tectia_server:6.2.2:*:*:*:*:*:*:*
     Show Matching CPE(s)
 cpe:2.3:a:ssh:tectia_server:6.2.3:*:*:*:*:*:*:*
     Show Matching CPE(s)
 cpe:2.3:a:ssh:tectia_server:6.2.4:*:*:*:*:*:*:*
     Show Matching CPE(s)
 cpe:2.3:a:ssh:tectia_server:6.2.5:*:*:*:*:*:*:*
     Show Matching CPE(s)
 cpe:2.3:a:ssh:tectia_server:6.3.0:*:*:*:*:*:*:*
     Show Matching CPE(s)
 cpe:2.3:a:ssh:tectia_server:6.3.1:*:*:*:*:*:*:*
     Show Matching CPE(s)
 cpe:2.3:a:ssh:tectia_server:6.3.2:*:*:*:*:*:*:*
     Show Matching CPE(s)
Running on/with
 cpe:2.3:o:linux:linux_kernel:*:*:*:*:*:*:*:*
     Show Matching CPE(s)


Change History

1 change record found - show changes

Quick Info

CVE Dictionary Entry:
CVE-2012-5975
NVD Published Date:
12/04/2012
NVD Last Modified:
12/05/2012